# Created by pyp2rpm-3.3.10
%global pypi_name pymarkdownlnt
%global pypi_version 0.9.19

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        A GitHub Flavored Markdown compliant Markdown linter

License:        MIT
URL:            https://github.com/jackdewinter/pymarkdown
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(application-properties) >= 0.8.2
BuildRequires:  python3dist(columnar) >= 1.4
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(typing-extensions) >= 4.7

%description
 PyMarkdown| | | ||| |Project|[![Version]( [![Python Versions]( ![platforms](
[![License]( [![GitHub top language](

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(application-properties) >= 0.8.2
Requires:       python3dist(columnar) >= 1.4
Requires:       python3dist(setuptools)
Requires:       python3dist(typing-extensions) >= 4.7
%description -n python3-%{pypi_name}
 PyMarkdown| | | ||| |Project|[![Version]( [![Python Versions]( ![platforms](
[![License]( [![GitHub top language](


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

#iconv -f iso8859-1 -t utf-8 README.md > README.md.conv && mv -f README.md.conv README.md
sed -i 's/\r$//' README.md


%install
%pyproject_install

%check
%tox

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{_bindir}/pymarkdown
%{_bindir}/pymarkdownlnt
%{python3_sitelib}/pymarkdown
%{python3_sitelib}/pymarkdownlnt-0.9.19.dist-info/

%changelog
* Wed May 08 2024 Gwyn Ciesla <gwync@protonmail.com> - 0.9.19-1
- Initial package.
